/**
*UserAccount App
* Defined UNAS 3.0 user account manager
*/
var UserAccountApp = UserAccountApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
UserAccountApp.App = function () {
    this.id = 'User Account';
    this.name = 'User Account';
    this.version = '6.0.86';
    this.active = false;
    this.menuIcon = '/apps/useraccount/images/logo.png?v=6.0.86&';
    this.shortcutIcon = '/apps/useraccount/images/logo.png?v=6.0.86&';
    this.entryUrl = '/apps/useraccount/account_user.html?v=6.0.86&';
    //this.entryHelpUrl = '/apps/useraccount/account_user_help.html';
    var self = this;
    this.UserAccountAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('User Account')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UserAccountAppWindow',
            title: UNAS._('User Account'),
			icon: '/apps/useraccount/images/logo_small.png?v=6.0.86&',
            loadMethod: 'xhr',
            width: 1024,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            contentURL: '/apps/useraccount/account_user.html?v=6.0.86&',
			require: {  css: ['/apps/useraccount/css/useraccount.css?v=6.0.86'] },
			onBeforeBuild: function(){
				UNAS.SetAppOpenedWindow("User Account",'UserAccountAppWindow');
			}
        });
    };
    this.UserAccountUninstall = function () {
    	UNAS.RemoveDesktopShortcut('User Account');
    	UNAS.RemoveMenu('User Account');
    	UNAS.RemoveAppFromGroups('User Account', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('User Account', 'Help');
    	UNAS.RemoveAppFromApps('User Account');
    };
    new UNAS.Menu('UNAS_ControlPanel_Account_Menu', this.name, this.menuIcon, 'User Account', '', this.UserAccountAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'User Account', this.UserAccountAppWindow);
    new UNAS.RegisterToAppGroup(this.name,'ControlPanel',{'Type': 'Account','Location': 2, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name,'Help',{'Type': 'Account','Location': 2, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('User Account', UNAS._('User Account')); //translate menu
        //UNAS.SetShortcutTitle('User Account', UNAS._('User Account'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UserAccountAppWindow', UNAS._('User Account'));
        }
    };
    UNAS.LoadTranslation('/apps/useraccount/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.UserAccountAppWindow, this.UserAccountUninstall);
};

new UserAccountApp.App();